Bug 1065645 - grubby fatal error: unable to find a suitable template
Summary: grubby fatal error: unable to find a suitable template
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grubby
Version: 20
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 10:51 UTC by Peter Littmann
Modified: 2015-06-29 15:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:13:42 UTC
Type: Bug


Attachments (Terms of Use)
Textfile of most recent contents of /var/log/grubby file. (19.74 KB, text/plain)
2014-03-28 13:08 UTC, D. Charles Pyle
no flags Details

Description Peter Littmann 2014-02-15 10:51:44 UTC
Description of problem:
During installing of a new kernel on a RAID1(mdadm) grubby will be started but does only complain, it seems

Version-Release number of selected component (if applicable):
grubby-8.28-1.fc20.x86_64

How reproducible:
set GRUB_DISABLE_LINUX_UUID=true in /etc/default/grub

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
grubby should run without failure

Additional info:
Transaction test succeeded
Running transaction
  Installing : kernel-3.12.10-300.fc20.x86_64                                                                                                                1/1 
DBG: command line: --debug --grub2 -c /boot/grub2/grub.cfg --add-kernel=/boot/vmlinuz-3.12.10-300.fc20.x86_64 --copy-default --make-default --title Fedora (3.12.10-300.fc20.x86_64) 20 (Heisenbug) --args=root=/dev/md5  --remove-kernel=TITLE=Fedora (3.12.10-300.fc20.x86_64) 20 (Heisenbug)
DBG: Image entry failed: uuid missing: rootdev (null), dev 3eb7c25b-4d9a-4ea8-a045-eb6b917afe85
DBG: menuentry 'Fedora, with Linux 3.12.10-300.fc20.x86_64' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.12.10-300.fc20.x86_64-advanced-3eb7c25b-4d9a-4ea8-a045-eb6b917afe85' { 
DBG: 	load_video
DBG: 	set gfxpayload=keep
DBG: 	insmod gzio
DBG: 	insmod part_msdos
DBG: 	insmod part_msdos
DBG: 	insmod diskfilter
DBG: 	insmod mdraid09
DBG: 	insmod ext2
DBG: 	set root='mduuid/b695015720ee01e1a4d2adc226fd5302'
DBG: 	if [ x$feature_platform_search_hint = xy ]; then
DBG: 	  search --no-floppy --fs-uuid --set=root --hint='mduuid/b695015720ee01e1a4d2adc226fd5302'  d3f74f02-231a-46de-b823-1757dddfbc2e
DBG: 	else
DBG: 	  search --no-floppy --fs-uuid --set=root d3f74f02-231a-46de-b823-1757dddfbc2e
DBG: 	fi
DBG: 	linux	/vmlinuz-3.12.10-300.fc20.x86_64 root=/dev/md5 ro vconsole.font=latarcyrheb-sun16  rhgb quiet LANG=en_US.UTF-8
DBG: 	initrd /initramfs-3.12.10-300.fc20.x86_64.img
DBG: }
DBG: Image entry failed: uuid missing: rootdev (null), dev 3eb7c25b-4d9a-4ea8-a045-eb6b917afe85
DBG: menuentry 'Fedora, with Linux 0-rescue-5331b949b33447a2aab45ef5bdf903c3' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-0-rescue-5331b949b33447a2aab45ef5bdf903c3-advanced-3eb7c25b-4d9a-4ea8-a045-eb6b917afe85' { 
DBG: 	load_video
DBG: 	insmod gzio
DBG: 	insmod part_msdos
DBG: 	insmod part_msdos
DBG: 	insmod diskfilter
DBG: 	insmod mdraid09
DBG: 	insmod ext2
DBG: 	set root='mduuid/b695015720ee01e1a4d2adc226fd5302'
DBG: 	if [ x$feature_platform_search_hint = xy ]; then
DBG: 	  search --no-floppy --fs-uuid --set=root --hint='mduuid/b695015720ee01e1a4d2adc226fd5302'  d3f74f02-231a-46de-b823-1757dddfbc2e
DBG: 	else
DBG: 	  search --no-floppy --fs-uuid --set=root d3f74f02-231a-46de-b823-1757dddfbc2e
DBG: 	fi
DBG: 	linux	/vmlinuz-0-rescue-5331b949b33447a2aab45ef5bdf903c3 root=/dev/md5 ro vconsole.font=latarcyrheb-sun16  rhgb quiet
DBG: 	initrd	/initramfs-0-rescue-5331b949b33447a2aab45ef5bdf903c3.img
DBG: }
DBG: Image entry failed: no line found
DBG: 
DBG: ### END /etc/grub.d/10_linux ###
...
DBG: ### END /etc/grub.d/41_custom ###
grubby fatal error: unable to find a suitable template

Comment 1 D. Charles Pyle 2014-03-28 13:08:08 UTC
Created attachment 879821 [details]
Textfile of most recent contents of /var/log/grubby file.

Just got hit with this same grubby error "grubby fatal error: unable to find a suitable template" as well during an update using Yumex.  I am using Fedora 21 (rawhide).  Attached is my /var/log/grubby file's text.  There are lots of "Image entry failed: no line found messages."  Looking at /boot/grub2/grub.cfg shows that all menu entries are present and accounted for, as well as custom settings.

One thing else I noticed is that grub2-mkconfig now is misidentifying a Windows 7 bootloader as a Windows 8 bootloader.  I actually have two Windows 8 bootloaders and one Windows 7 bootloader.  At least, that is what was there last time I checked before recent updates to Linux.  I do not know whether this is related but thought I should mention it just in case there is a connection somewhere.

Comment 2 John Paulson 2014-08-19 13:22:33 UTC
Well, I got this Grubby Fatal Error when I was setting up a Centos VPS on DigitalOcean. I googled and found an article which provides a workaround. http://www.itekhost.net/grubby-fatal-error/

It works on Centos as well as Fedora.

Comment 3 Fedora End Of Life 2015-05-29 10:56:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 15:13:42 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.